#
# spec file for package sylpheed-claws (Version 2.5.5)
#
# Copyright (c) 2008 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    Mesa Mesa-devel PolicyKit aaa_base acl alsa alsa-devel aspell aspell-devel atk atk-devel attr audiofile audiofile-devel audit-libs autoconf automake bash bind-libs bind-utils binutils bison brp-check-internal bzip2 cairo cairo-devel clamav compface coreutils cpio cpp cpp41 cracklib cups-libs curl curl-devel cvs cyrus-sasl cyrus-sasl-devel db db-devel dbus-1 dbus-1-devel dbus-1-glib dbus-1-glib-devel desktop-translations diffutils dirmngr e2fsprogs esound esound-devel expat file filesystem fillup findutils flex fontconfig fontconfig-devel freetype2 freetype2-devel gawk gcc gcc41 gconf2 gconf2-devel gdbm gdbm-devel gettext gettext-devel glib2 glib2-devel glibc glibc-devel glibc-locale glitz glitz-devel gmp gmp-devel gnome-filesystem gnome-icon-theme gnome-keyring gnome-keyring-devel gnome-vfs2 gnome-vfs2-devel gpg gpg2 gpgme gpgme-devel gpm grep groff gtk2 gtk2-devel gzip hal hal-devel hal-resmgr info insserv klogd krb5 latex2html-pngicons less libacl libart_lgpl libart_lgpl-devel libattr libbonobo libbonobo-devel libbonoboui libbonoboui-devel libcom_err libdrm libetpan libetpan-devel libgcc41 libgcrypt libglade2 libgnome libgnome-devel libgnomecanvas libgnomecanvas-devel libgnomeprint libgnomeprint-devel libgnomeprintui libgnomeprintui-devel libgnomesu libgnomeui libgnomeui-devel libgpg-error libgpg-error-devel libidn libidn-devel libjpeg libjpeg-devel libksba libltdl libmudflap41 libnscd libpng libpng-devel libstdc++-devel libstdc++41 libstdc++41-devel libtiff libtool libusb libvolume_id libxcrypt libxml2 libxml2-devel libzio linux-kernel-headers m4 mDNSResponder-lib make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openldap2-devel openssl openssl-devel orbit2 orbit2-devel pam pam-modules pango pango-devel patch perl permissions pilot-link pilot-link-devel pinentry pkgconfig pm-utils pmtools popt popt-devel post-build-checks procinfo procps psmisc pwdutils rcs readline readline-devel resmgr rpm rsaref sed shared-mime-info startup-notification startup-notification-devel strace sysvinit tar tcpd texinfo timezone unzip update-desktop-files util-linux vim xorg-x11-devel xorg-x11-fonts-devel xorg-x11-libICE xorg-x11-libICE-devel xorg-x11-libSM xorg-x11-libSM-devel xorg-x11-libX11 xorg-x11-libX11-devel xorg-x11-libXau xorg-x11-libXau-devel xorg-x11-libXdmcp xorg-x11-libXdmcp-devel xorg-x11-libXext xorg-x11-libXext-devel xorg-x11-libXfixes xorg-x11-libXfixes-devel xorg-x11-libXmu xorg-x11-libXmu-devel xorg-x11-libXp xorg-x11-libXp-devel xorg-x11-libXpm xorg-x11-libXpm-devel xorg-x11-libXprintUtil xorg-x11-libXprintUtil-devel xorg-x11-libXrender xorg-x11-libXrender-devel xorg-x11-libXt xorg-x11-libXt-devel xorg-x11-libXv xorg-x11-libXv-devel xorg-x11-libfontenc xorg-x11-libfontenc-devel xorg-x11-libs xorg-x11-libxkbfile xorg-x11-libxkbfile-devel xorg-x11-proto-devel xorg-x11-util-devel xorg-x11-xtrans-devel zlib zlib-devel


Name:           sylpheed-claws
%define build_spamassassin  0
%define _prefix /usr
%define themes_ver 20060615
BuildRequires:  aspell-devel clamav compface curl-devel db-devel gettext gtk2-devel libetpan-devel libgnomeprint-devel libgnomeprintui-devel openldap2-devel openssl-devel pilot-link-devel pkgconfig startup-notification-devel update-desktop-files
%if %suse_version >= 1010
BuildRequires:  gmp-devel gpgme-devel
%else
BuildRequires:  gmp gpgme
%endif
%if %suse_version <= 1000
BuildRequires:  libgnome-devel libgpg-error-devel libstdc++-devel
%endif
%if %suse_version <= 930
BuildRequires:  db-devel libart_lgpl-devel libgnomecanvas-devel libgnomeprint libgnomeprintui libxml2-devel startup-notification
%endif
License:        GPL v2 or later
Group:          Productivity/Networking/Email/Clients
AutoReqProv:    on
Version:        2.5.5
Release:        34
Source0:        %{name}-%{version}.tar.bz2
Source1:        sylpheed-claws-themes-%{themes_ver}.tar.bz2
Patch0:         python.diff
Patch1:         sylpheed-compilefixes.diff
Patch2:         sylpheed-desktop.diff
Patch4:         sylpheed-openldap.diff
Patch5:         %{name}-CVE-2007-2958.patch
Patch6:         %{name}-CVE-2007-6208.patch
Patch7:         %{name}-clamav.patch
Url:            http://sylpheed-claws.sourceforge.net/
Summary:        An Email client similar to Eudora on Windows
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Sylpheed is an e-mail client and news reader based on GTK+ running
   on the X Window System that aims for * Quick response

* Graceful and sophisticated interface

* Easy configuration, intuitive operation

* Abundant features The appearance and interface are similar to some
   popular e-mail clients for Windows, such as Outlook Express,
   Becky!, and Datula. The interface is also designed to emulate the
   mailers on Emacsen. Almost all commands are accessible with the
   keyboard.

The messages are managed by MH format and you can use it together with
another mailer based on MH format (like Mew). You can also utilize
fetchmail, procmail, and external programs on receiving (like inc or
imget).



Authors:
--------
    Hiroyuki Yamamoto <hiro-y@kcn.ne.jp>

%debug_package
%prep
# GurUnix iconset had to be removed (license problems, see #210169)
tar tvf %{SOURCE1} | grep GurUnix && exit 99
%setup -q a1
%patch0
%patch1
%patch2
%patch4
%patch5
%patch6
%patch7
# remove unmaintained and buggy scripts, bugzilla #346453
rm ./tools/{sylprint.pl,sylprint.rc,README.sylprint}
%{?suse_update_config:%{suse_update_config}}

%build
# fails on <= 1010
%if %suse_version > 1010
export ACLOCAL='aclocal -I m4'
autoreconf -f -i
%endif
CFLAGS="%{optflags}"
%configure \
		--enable-ldap \
                --enable-ipv6 \
		--enable-openssl \
		--enable-jpilot \
		--enable-aspell \
		--enable-spamassassin-plugin \
		--enable-clamav-plugin \
		--disable-mathml-viewer-plugin \
		--enable-dillo-viewer-plugin \
		--enable-trayicon-plugin \
		--enable-pgpcore-plugin \
		--enable-pgpmime-plugin \
		--enable-pgpinline-plugin \
		--disable-demo-plugin \
		--enable-crash-dialog \
		--enable-startup-notification \
		--enable-gnomeprint \
		--enable-compface \
%if %build_spamassassin == 0
                --disable-spamassassin-plugin \
%endif
		--enable-libetpan
%__make
if test $ABUILD_RUN_TEST_SUITES = true ; then
        %__make test
fi

%install
%makeinstall
# Clean up
%__rm %{buildroot}%{_libdir}/sylpheed-claws/plugins/*.la 
%__rm %{buildroot}%{_libdir}/sylpheed-claws/plugins/*.a
# install desktop file
%suse_update_desktop_file -G "Email client" sylpheed-claws
# we want to have icon installed in /usr/share/pixmaps
%__mkdir_p $RPM_BUILD_ROOT%{_datadir}/pixmaps/
%__cp sylpheed-claws.png $RPM_BUILD_ROOT%{_datadir}/pixmaps/
%__rm -rf $RPM_BUILD_ROOT%{_datadir}/icons
# Themes
mkdir -p $RPM_BUILD_ROOT/%{_datadir}/%{name}/themes
tar xj -C $RPM_BUILD_ROOT/%{_datadir}/%{name} -f %{SOURCE1}
mv $RPM_BUILD_ROOT/%{_datadir}/%{name}/sylpheed-claws-themes-%{themes_ver}/* $RPM_BUILD_ROOT/%{_datadir}/%{name}/themes
rmdir $RPM_BUILD_ROOT/%{_datadir}/%{name}/sylpheed-claws-themes-%{themes_ver}
for I in `find $RPM_BUILD_ROOT/%{_datadir}/%{name}/themes -type f`; do
        chmod 644 $I
done
# Tools
%__cp -r tools $RPM_BUILD_ROOT%{_prefix}/share/%{name}
%__rm $RPM_BUILD_ROOT%{_datadir}/sylpheed-claws/tools/Makefile*
%__mv $RPM_BUILD_ROOT%{_datadir}/sylpheed-claws/tools/README ./README.tools
# fixing permissions
pushd $RPM_BUILD_ROOT%{_datadir}/sylpheed-claws/tools
%__chmod 755 *
%__chmod 644 multiwebsearch.conf
popd
%find_lang %{name} %{name}.lang

%clean
%__rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root)
%{_bindir}/%{name}
%{_includedir}/sylpheed-claws
%{_libdir}/pkgconfig/sylpheed-claws.pc
%dir %{_libdir}/%{name}
%dir %{_libdir}/%{name}/plugins
%{_libdir}/%{name}/plugins/*.so
%{_libdir}/%{name}/plugins/*.deps
%{_datadir}/applications/sylpheed-claws.desktop
%{_mandir}/man1/sylpheed-claws.1.gz
%{_datadir}/pixmaps/sylpheed-claws.png
%dir %{_datadir}/%{name}
%doc %{_datadir}/%{name}/manual
%{_datadir}/%{name}/themes
%dir %{_datadir}/%{name}/tools
%dir %{_datadir}/%{name}/tools/kdeservicemenu
%{_datadir}/%{name}/tools/*.sh
%{_datadir}/%{name}/tools/*.pl
%{_datadir}/%{name}/tools/*.py
%{_datadir}/%{name}/tools/*.conf
%{_datadir}/%{name}/tools/tb2sylpheed
%{_datadir}/%{name}/tools/u*
%{_datadir}/%{name}/tools/kdeservicemenu/*
%doc ABOUT-NLS AUTHORS COPYING ChangeLog README INSTALL TODO README.tools RELEASE_NOTES

%changelog
* Thu Jul 10 2008 - anosek@suse.cz
- fixed Claws does not build against clamav >= 0.93.1 (bnc#407577)
  - applied the patch from comment #1 (clamav.patch)
* Thu Dec 20 2007 - anosek@suse.cz
- fixed VUL-0: sylpheed-claws: overwrite arbitrary files via sym-link
  [#346453] (CVE-2007-6208.patch)
  * removed unmaintained sylprint files as done in upstream
* Thu Oct 04 2007 - anosek@suse.cz
- fixed VUL-0: Sylpheed and Sylpheed-Claws POP3 Format String Vulnerability
  [#303724] (CVE-2007-2958.patch)
* Thu Oct 12 2006 - anosek@suse.cz
- updated to version 2.5.5
  * Bug fixes:
  o bug 1034, 'Incorrect display of size field in message view'
  o bug 1032, 'Segmentation fault when showing message'
  o fix crash with quote folding on HTML
  o fix building with --disable-nls
  * remove tabs in Subject string
- resolved license problems [#210169]
  * disabled spamassassin plugin
  * removed GurUnix Theme completely
* Wed Oct 11 2006 - anosek@suse.cz
- updated to version 2.5.3
  * Make node expanding in the Folder List non-recursive
  * Bug fixes:
  o Fix "Check for new folders" on folders with accented
  characters
  o Fix filtering "copy" rules
  o Fix "goto next unread" after collapsing/expanding a node
- moved extra-plugins into separate spec file
- spec files are now based on versions from BuildService
  by Marcus Huewe <marcus@links2linux.de>
* Wed Sep 27 2006 - anosek@suse.cz
- updated to version 2.5.2
  * New plugin: Bogofilter, providing Spam filtering and learning
  * Account-based filtering rules. Each filtering rule can now be
  assigned to a specific account, by default it's "All".
  * Filtering against Address Book. It is now possible add matched
  conditions to determine if any email address in a message
  matches or doesn't match any or all books or folders
  in the Address Book.
  * Quote folding. Quotes in the message view can now be folded,
  via the "/View/Quotes/..." menu. The folding can also be
  toggled by double clicking on the quotes in the Message View
  * "/View/Go to/Parent message" and "/View/Go to/Last read
  message" have been added
  * IMAP: Added a View Log button on auth error
  * PGP/Core plugin: it is now possible to create a new key pair
  from within Sylpheed-Claws
  * PGP/Core plugin: When encrypting, if only one key matches,
  and it matches exactly, it is automatically used
  * Enabled text selection for replying from MimeViewer plugins
  * And more ...
- small fixes (prototypes.patch) (warnings.patch)
- created new package sylpheed-claws-extra-plugins
* Thu Sep 21 2006 - zpetrova@suse.cz
- version upgrade to 2.4.0
  - major rewrites all over the place
  - port to gtk2
  - many bugfixes
* Sun Sep 17 2006 - ro@suse.de
- fix missing return value
* Tue Jun 20 2006 - dmueller@suse.de
- build parallel
* Wed Feb 15 2006 - ro@suse.de
- added curl-devel to BuildRequires
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Tue Jan 24 2006 - zpetrova@suse.cz
- another build problem appeared, fixed.
* Thu Jan 19 2006 - zpetrova@suse.cz
- fixed built
* Sun Jan 15 2006 - kukuk@suse.de
- Add gpgme-devel to nfb
* Sat Jan 14 2006 - kukuk@suse.de
- Add gmp-devel to nfb
* Wed Nov 16 2005 - zpetrova@suse.cz
- fix several buffer overflows: (#132688, #72801)
* Thu Sep 29 2005 - zpetrova@suse.cz
- Add LDAP_DEPRECATE macro to compile with new openldap.
  (temporary workaround)
* Mon Sep 26 2005 - zpetrova@suse.cz
- fix some gcc4.1 warnings
* Tue May 03 2005 - ro@suse.de
- fix some gcc4 warnings
* Tue Mar 22 2005 - mmj@suse.de
- Update to 1.0.3 [#72801]
* Sat Feb 19 2005 - ro@suse.de
- use -fno-strict-aliasing until code has been cleaned up
* Thu Feb 17 2005 - didge@suse.de
- version 1.0.1
- maildir plugin 0.7
- new iconset 20040929
* Mon Oct 25 2004 - didge@suse.de
- version 0.9.12b
- ghostscript-viwer 0.8
- disabled new pgpmime plugin as gpgme-support is still missing
* Tue Aug 24 2004 - didge@suse.de
- enabled clamav plugin
* Fri Aug 06 2004 - didge@suse.de
- renamed to sylpheed-claws
* Thu Aug 05 2004 - didge@suse.de
- version 0.9.12
- name paths is now sylpheed-claws
- ghostscript-viwer 0.7
- added maildir plugin 0.6
* Thu Aug 05 2004 - ro@suse.de
- recode desktop file to utf-8
* Mon Jul 26 2004 - didge@suse.de
- disabled gpgme because of incompatibility with it's new API
* Mon Jun 07 2004 - didge@suse.de
- version 0.9.11
- new iconset 20040525
* Fri Apr 23 2004 - didge@suse.de
- fixed compiler warnings
* Sat Mar 20 2004 - adrian@suse.de
- fix build, adding resmgr to neededforbuild
* Tue Mar 09 2004 - didge@suse.de
- version 0.9.10
* Tue Feb 10 2004 - didge@suse.de
- version 0.9.9
- new iconset 20040206
- fixed rights of the themes
* Fri Dec 19 2003 - didge@suse.de
- version 0.9.8
* Mon Dec 15 2003 - didge@suse.de
- added patch for a more secure exit/kill of sylpheed
- removed trayicon plugin
* Wed Dec 10 2003 - didge@suse.de
- fixed lib path to work on 64bit
* Tue Dec 09 2003 - didge@suse.de
- added some bugfixes that came after 0.9.7
* Thu Nov 27 2003 - didge@suse.de
- version 0.9.7
- iconset 20031130
- ghostscript-viewer 0.6
* Thu Oct 16 2003 - didge@suse.de
- added patch to fix alertpanel bug
* Mon Oct 13 2003 - ro@suse.de
- fix python require
* Tue Oct 07 2003 - didge@suse.de
- version 0.9.6
* Mon Sep 15 2003 - didge@suse.de
- added theme Skypilot
* Tue Sep 02 2003 - didge@suse.de
- diff from cvs added for some bugfixes
- workaround for 'aclocal -I ac' export
* Wed Aug 20 2003 - sbrabec@suse.cz
- Removed obsolete libgtop from neededforbuild.
* Tue Aug 19 2003 - ro@suse.de
- fixed lib64 problem
* Mon Aug 18 2003 - didge@suse.de
- 2 more themes
- diff from cvs added for some bugfixes
* Tue Aug 12 2003 - adrian@suse.de
- package desktop file
* Tue Aug 12 2003 - adrian@suse.de
- install desktop file according to XDG
* Mon Aug 04 2003 - didge@suse.de
- new version 0.9.4claws
- reactivated trayicon plugin
* Wed Jul 30 2003 - ro@suse.de
- added readline-devel to neededforbuild
* Fri Jul 18 2003 - didge@suse.de
- added patch against current CVS to fix some bugs
- removed trayicon plugin, because unload crashs sylpheed
- moved the README of the tools to %%doc
* Tue Jul 15 2003 - sbrabec@suse.cz
- GNOME prefix change to /opt/gnome.
* Mon Jul 14 2003 - didge@suse.de
- Version 0.9.3claws
- new Iconset
- ghostview-plugin added
* Thu Jul 03 2003 - ro@suse.de
- install gnome files to /opt/gnome
* Tue Jul 01 2003 - didge@suse.de
- updated files section
- added the tools for sylpheed
- added Gnome icon
* Mon Jun 23 2003 - didge@suse.de
- Version 0.9.0claws
* Sat Jun 14 2003 - coolo@suse.de
- package directories
* Tue Jun 03 2003 - coolo@suse.de
- use BuildRoot
- fix file list to include tons of unpackages themes (to be reviewed)
* Wed May 14 2003 - sf@suse.de
- corrected patch and use 'autoreconf -f -i'
* Tue Apr 01 2003 - sf@suse.de
- actualize libtool (to be able to link libcompface.a into shlib)
* Mon Mar 31 2003 - didge@suse.de
- Version 0.8.11claws
* Tue Mar 11 2003 - didge@suse.de
- some more bugfixes from CVS
- current manual added
- updated translations
* Mon Mar 10 2003 - kukuk@suse.de
- Set libdir
* Mon Mar 03 2003 - didge@suse.de
- 2 more bugfixes and fixes of warnings from CVS
* Fri Feb 28 2003 - didge@suse.de
- more patches from CVS
- updated KDE2/3 menu and icons
* Mon Feb 24 2003 - didge@suse.de
- added the spamassassin plugins to the files section
- more patches from CVS
- removed md5 patch
* Mon Feb 17 2003 - didge@suse.de
- added patch for some fixes and speedups from after 0.8.10claws
* Thu Feb 13 2003 - didge@suse.de
- Version 0.8.10claws
- cut patch as most is in 0.8.10claws now
* Fri Jan 31 2003 - didge@suse.de
- Version 0.8.9claws
- Fixed Bug 23266: remove -mminimal-toc from RPM_OPT_FLAGS
- Fixed Bug 23265 - sylpheed compile error in md5.c
* Fri Jan 31 2003 - ro@suse.de
- use cyrus-sasl2 in neededforbuild
* Fri Jan 10 2003 - didge@suse.de
- Version 0.8.8claws
- new Iconset (0.8.7claws)
* Mon Dec 02 2002 - didge@suse.de
- Version 0.8.6claws
* Mon Oct 21 2002 - didge@suse.de
- Version 0.8.5claws
- new Iconset
- patch against a bug
* Fri Sep 27 2002 - ro@suse.de
- Added alsa alsa-devel to neededforbuild (esound)
* Wed Jul 31 2002 - didge@suse.de
- Version 0.8.1claws
- Themes pack 3 added
* Thu Jul 04 2002 - ro@suse.de
- added heimdal-devel to neededforbuild to make libtool happy
* Sat Jun 29 2002 - olh@suse.de
- build with -mminimal-toc on ppc64
* Fri Jun 21 2002 - didge@suse.de
- Version 0.7.8claws
* Fri May 10 2002 - didge@suse.de
- Version 0.7.5claws
- Themes pack added
* Tue May 07 2002 - ro@suse.de
- fixed specfile: no macro allowed in Version: line
* Tue Mar 12 2002 - didge@suse.de
- Version 0.7.4claws
- many new features
* Thu Feb 28 2002 - didge@suse.de
- added patch against CVS to fix segfault on opening a mime part
- added support for ISO-8859-15
- updated german translation
* Tue Feb 26 2002 - didge@suse.de
- added patch against CVS to fix memory leak while handling attachments
* Mon Feb 25 2002 - didge@suse.de
- Version 0.7.2claws
* Thu Feb 14 2002 - didge@suse.de
- Version 0.7.1claws
* Wed Jan 16 2002 - didge@suse.de
- Version 0.7.0claws
* Mon Dec 17 2001 - didge@suse.de
- Version 0.6.6claws
- came back to normal releases, no cvs anymore
- the Santa Claws release :-)
* Mon Nov 26 2001 - didge@suse.de
- a big bug is fixed (forgeting about read messages and marking
  them as unread again)
- my undo-patch is added
* Fri Nov 23 2001 - didge@suse.de
- Bug with GPG is fixed
* Wed Nov 21 2001 - didge@suse.de
- Version 0.6.5
- bugfix in spec
* Wed Nov 21 2001 - ro@suse.de
- added cyrus-sasl-devel to neededforbuild
* Mon Oct 29 2001 - didge@suse.de
- Version 0.6.4claws13
- de translations
* Mon Oct 22 2001 - didge@suse.de
- Version 0.6.4claws1
* Tue Oct 09 2001 - didge@suse.de
- Version 0.6.3claws2
* Mon Oct 01 2001 - didge@suse.de
- Version 0.6.2claws12
- Pspell now works fine
* Fri Sep 28 2001 - didge@suse.de
- Version 0.6.2claws
- Pspell deactivated because of segfault with SuSE, but will come soon
- current german translations
* Tue Sep 04 2001 - didge@suse.de
- added missing translations
* Mon Sep 03 2001 - didge@suse.de
- Version 0.6.1claws out of CVS
- German translations
- Some new features
* Thu Aug 23 2001 - didge@suse.de
- Version 0.5.3claws3 out of CVS
- German translations
* Wed Aug 22 2001 - didge@suse.de
- Version 0.5.3claws2 out of CVS
- GPGME exclude to an extra package
* Mon Aug 06 2001 - didge@suse.de
- Version 0.5.2claws1 out of CVS
- ssl is working for IMAP and SMTP
* Tue Jul 31 2001 - didge@suse.de
- Version 0.5.1claws3 out of the CVS
- gpgme compiled in the package (should better be an extra package)
- compiled with ipv6-support
- compiled with JPilot-support
- compiled with ldap-support
- compiled with ssl-support (not sure if working already)
- added tools in /usr/share/doc/packages/sylpheed
* Thu Jul 12 2001 - didge@suse.de
- Version 0.5.0claws out of the CVS
* Thu Jun 28 2001 - didge@suse.de
- Removes openldap requirement, to build on S390
  it was never used anyway
* Tue Jun 19 2001 - didge@suse.de
- Added menu entry + icon
* Tue Jun 19 2001 - didge@suse.de
- Version 0.4.99claws
  Date 15.6.2001
* Tue Jun 12 2001 - didge@suse.de
- Try to fix the CVS-version, to build it.
* Tue Jun 05 2001 - didge@suse.de
- Version 0.4.99claws3
  Date 5.6.2001
* Sun May 13 2001 - didge@suse.de
- Verison 0.4.66 + patches:
  add-sender-to-addressbook-1.patch
  empty_mailbox-2.patch
  foldercolor.patch
  font-sel.patch
  gtkstext.0.4.63.patch
  showaddr.patch
  sylpheed-0.4.63-marknav.patch
  sylpheed-0.4.65cvs8-unlimited_from.patch
  sylpheed-0.4.66-gpgpopup.patch
  sylpheed-0.4.66-gtkspell.patch
  sylpheed-0.4.66-no-retrieval-dialog
  sylpheed-0.4.66-nogpgwarn.patch
  sylpheed-autodelete-6.patch
  sylpheed-config-0.4.64.patch
  sylpheed-custom-headers-5.patch
  sylpheed-ldapaddressbook-v2.patch
* Wed May 09 2001 - mfabian@suse.de
- bzip2 sources
* Tue Apr 24 2001 - didge@suse.de
  Version 0.4.65cvs4.
  The following patches were applied :
- add-sender-to-addressbook.patch
- bytesread.patch
- empty_mailbox-2.patch
- foldercolor.patch
- font-sel.patch
- gtkstext.0.4.63.patch
- progresswindow.patch
- sylpheed-0.4.63-marknav.patch
- sylpheed-0.4.63-update_colors.patch
- sylpheed-0.4.63-warnqueued.patch
- sylpheed-0.4.64-gpgkeysel.patch
- sylpheed-autodelete-5.patch
- sylpheed-config-0.4.64.patch
- sylpheed-custom-headers-5.patch
- sylpheed-forward-3.patch
- sylpheed-news-3.patch
- sylpheed-open-url.patch
- activated IPv6 support
- activated GPGME support (needs GPGME to work)
* Fri Apr 20 2001 - didge@suse.de
- activated IPv6 support
- activated GPGME support (needs GPGME to work)
* Fri Apr 20 2001 - didge@suse.de
- Version 0.4.64
- Patches:
  add-sender-to-addressbook-1.patch
  foldercolor.patch
  font-sel.patch
  progresswindow.patch
  sylpheed-0.4.63-marknav.patch
  sylpheed-0.4.63-update_colors.patch
  sylpheed-0.4.63-warnqueued.patch
  sylpheed-0.4.63cvs9-layout2.patch
  sylpheed-0.4.63cvs9-noparts.patch
  sylpheed-0.4.63cvs9-showserver.patch
  sylpheed-0.4.64-gpgkeysel.patch
  sylpheed-custom-headers-4.patch
  sylpheed-forward-2.patch
  sylpheed-news-2.patch
  sylpheed-open-url.patch
  sylpheed-toolbar.patch
  usestrftime.patch
  bytesread.patch
* Tue Apr 10 2001 - didge@suse.de
  Patches added:
- empty_mailbox.patch
- font-sel.patch
- gtkstext.patch
- patch-config-4.60.patch
- sylpheed-autodelete-4.patch
- sylpheed-forward-2.patch
- sylpheed-news-2.patch
- sylpheed-custom-headers-4.patch
- sylpheed-open-url.patch
* Tue Apr 10 2001 - didge@suse.de
- version 0.4.63
- changes:
  * Some menu items are sorted out.
  * `Attract by subject' is speeded up.
  * Smooth scrolling of message text is enabled.
  * Generic mark and Deleted mark became permanent.
  * Replied and Forwarded mark are enabled.
  * The design of New and Unread mark is changed.
  * Generic mark and Unread mark can be toggled with clicking summary view.
  * Long References header is truncated now.
  * Updated the GnuPG support code.
  * Messages can be moved across file systems.
  * Message date is converted into local time when displaying.
  * The colors of quoted part and URI of messages can be specified,
  and they are specifiable according to quotation level.
  * It is enabled to keep the current folder after receiving new messages.
  * The speed of cache reading is improved.
  * Message copy is implemented.
  * Many other bugfixes have been done.
* Mon Mar 19 2001 - didge@suse.de
- small bugfix to the patched version of 0.4.63cvs3
- sylpheed patched 9.1
* Mon Mar 19 2001 - didge@suse.de
- new patched version of 0.4.63cvs3
* Wed Mar 14 2001 - didge@suse.de
- build patched version 0.4.62
- add-sender-to-addressbook.patch
- sylpheed-open-url.patch
- empty_mailbox.patch
- patch-config-4.60.patch
- sylpheed-forward.patch
- sylpheed-custom-headers-3.patch
- sylpheed-autodelete-2.patch
* Mon Mar 12 2001 - ro@suse.de
- fixed macro use in specfile
* Mon Mar 12 2001 - didge@suse.de
- some new features are added, new version 0.4.62
* Tue Feb 13 2001 - didge@suse.de
- a lot of bugfixes and two new versions, newest 0.4.61
* Wed Jan 31 2001 - ro@suse.de
- changed neededforbuild <imlibcfe> to <imlib-config>
* Tue Jan 16 2001 - didge@suse.de
- a lot of bugs where fixed and the news support was redesigned
- new version 0.4.52
* Wed Dec 27 2000 - didge@suse.de
- some segfaults were fixed in the version 0.4.9
* Mon Dec 11 2000 - didge@suse.de
- problems hopefully fixed :-)
* Mon Dec 11 2000 - didge@suse.de
- updated to 0.4.8 and try fixed build problems
* Mon Dec 04 2000 - didge@suse.de
- updated to 0.4.7 and updated %%description
* Mon Nov 20 2000 - didge@suse.de
- first build of sylpheed (0.4.4)
